﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DAOs;
using Negocios;

namespace Telas.Telas
{
    public partial class ImportacaoDeDados : Form
    {
        public ImportacaoDeDados()
        {
            InitializeComponent();
        }

        //Importar dados do arquivo
        private void button1_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog1 = new OpenFileDialog();

            // Set filter options and filter index.
            openFileDialog1.Filter = "Text Files (.DAT)|*.DAT|All Files (*.*)|*.*";
            openFileDialog1.FilterIndex = 1;

            openFileDialog1.Multiselect = true;

            // Call the ShowDialog method to show the dialog box.
            DialogResult dialog = openFileDialog1.ShowDialog();

            string test = openFileDialog1.FileName;
            System.IO.Stream fileStream = openFileDialog1.OpenFile(); //.File.OpenRead();

            List<Cliente> clientes = new List<Cliente>();

            using (System.IO.StreamReader reader = new System.IO.StreamReader(fileStream))
            {
                string valor = null;
                while ((valor = reader.ReadLine()) != null)
                {
                    clientes.Add(new Cliente(valor));
                }
            }

            //dataGridView1.DataSource = test333;
            fileStream.Close();




            DAOs.DAO service = new DAOs.DAO();

            Cliente c = null;
            foreach (Cliente cliente in clientes)
            {
                c = service.buscarCliente(cliente.Id);

                if (c == null)
                {
                    service.InsertCliente(cliente);
                }
            }

        }

        //Importar dados do Microsoft Access
        private void button2_Click(object sender, EventArgs e)
        {
            DAOs.DAO service = new DAOs.DAO();
            List<Cliente> list = service.buscarClientesAccess();

            Cliente c = null;
            foreach(Cliente cliente in list) {
                c = service.buscarCliente(cliente.Id);

                if (c == null)
                {
                    service.InsertCliente(cliente);
                }
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            new Visualizacao().Show();
        }
    }
}
