﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Negocios
{
    public class Cliente
    {
        public string Id { get; set; }
        public string Nome { get; set; }
        public string Sobrenome { get; set; }
        public string Rua { get; set; }
        public string Cidade { get; set; }
        public string Estado { get; set; }
        public string Cep { get; set; }

        override
        public string ToString()
        {
            StringBuilder str = new StringBuilder();
            string espaco = " | ";

            str.Append("Id: " + Id + espaco);
            str.Append("Nome: " + Nome + espaco);
            str.Append("Sobrenome: " + Sobrenome + espaco);
            str.Append("Rua: " + Rua + espaco);
            str.Append("Cidade: " + Cidade + espaco);
            str.Append("Estado: " + Estado + espaco);
            str.Append("Cep: " + Cep + espaco);

            return str.ToString();
        }

        public Cliente(string str)
        {
            Id = str.Substring(0,6).Trim();
            Sobrenome = str.Substring(7, 15).Trim();
            Nome = str.Substring(22, 10).Trim();
            Rua = str.Substring(36, 20).Trim();
            Cidade = str.Substring(56, 15).Trim();
            Estado = str.Substring(71, 2).Trim();
            Cep = str.Substring(74).Trim();
        }

        public Cliente(System.Data.SqlClient.SqlDataReader reader)
        {
            Id = (String)reader["cliente_id"];
            Nome = (String)reader["nome"];
            Sobrenome = (String)reader["sobrenome"];
            Rua = (String)reader["rua"];
            Cidade = (String)reader["cidade"];
            Estado = (String)reader["estado"];
            Cep = (String)reader["cep"];
        }

        public Cliente(System.Data.OleDb.OleDbDataReader reader)
        {
            Id = (String)reader["cliente_id"];
            Nome = (String)reader["nome"];
            Sobrenome = (String)reader["sobrenome"];
            Rua = (String)reader["rua"];
            Cidade = (String)reader["cidade"];
            Estado = (String)reader["estado"];
            Cep = (String)reader["cep"];
        }
    }
}
